<?php

// Creado: Janeth C, 25/Nov/2022. Se crea el controlador para contener todos los formularios referentes a la administración de Agenda
namespace App\Http\Controllers\Agenda;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Libraries\ejLib;
use Illuminate\Routing\Redirector;
Use Session;
Use Redirect;
Use SimpleXMLElement;
use mikehaertl\pdftk\Pdf;
use mikehaertl\pdftk\XfdfFile;


class FormulariosController extends Controller{

	// 19 Dic 2016 . Juan Pablo Sánchez Bracamontes
	private function hayCuentaActiva(){
		if(isset($_SESSION['usuario']) || isset($_SESSION['operador']))
			return 1;
		return 0;
	}

	// 19 Dic 2016 . Juan Pablo Sánchez Bracamontes
	private function esCuentaRoot(){
		if( isset($_SESSION['usuario']) ){
			$var = ejLib::getInstance();
	    	$usuario = $_SESSION['usuario'];
			$decoded = $var->desencriptar_AES($usuario['tusuario'], $usuario['x']);
			if(rtrim($decoded) == "Root") return 1;
			else return null;
		}else
			return 0;
	}

	// 19 Dic 2016 . Juan Pablo Sánchez Bracamontes
	private function esCuentaAdmin(){
		if( isset($_SESSION['usuario']) ){
			$var = ejLib::getInstance();
	    	$usuario = $_SESSION['usuario'];
			$decoded = $var->desencriptar_AES($usuario['tusuario'], $usuario['x']);
			if(rtrim($decoded) == "Admin") return 1;
			else return null;
		}else
			return 0;
	}

	
 	public function getAgenda_ConsultaExterna(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas

	return view('ConsultaExterna.Agenda.getAgendaMedico');
	}

	public function Agenda_iniciaConsulta(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas

	return view('ConsultaExterna.Agenda.iniciarNotaMedica');
	}
	



	public function get_somatometria(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.somatometriaNota');
	}


	public function get_indicacionesNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.indicacionesNota');
	}

	public function get_dietaCuidadosNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.dietaCuidadosNota');
	}

	public function get_evolucionPronosticoNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.evolucionPronosticoNota');
	}


	public function get_recomendacionesNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.recomendacionesNota');
	}

public function get_psoaNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.psoaNota');
	}
public function get_procedimientosNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.procedimientosNota');
	}
public function get_medicamentosNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.medicamentosNota');
	}

	public function getEstudiosGNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.estudiosGNota');
	}


public function get_diagnosticos(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.diagnosticosNota');
	}	

	public function getLaboratorialesNota(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.laboratorialesNota');
	}

		public function getInterconsulta(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.interconsulta');
	}

	public function get_contrareferencia(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		return view('Agenda.Apartados.contrareferenciasNota');
	}

	//pruebas
	public function getAgenda_Urgencias(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas

	return view('ConsultaExterna.Agenda.getAgendaMedico');
	}

	public function get_hoja_urgencia(){
		session_start(); // Se aloja en los métodos por que son estos los que mandan llamar a las vistas
		$urgencias='1'; $folio=''; $centro_sal=''; $Clave_Pac='';
  		if(isset($_POST['folio']))$folio=$_POST['folio'];
       	if(isset($_POST['centro_sal']))$centro_sal=$_POST['centro_sal'];
       	if(isset($_POST['Clave_Pac']))$Clave_Pac=$_POST['Clave_Pac'];
 		
 		/*Array ( [folio] => 1073357 [centro_sal] => 1 [id_apartado] => 15 [Clave_Pac] => 151155001 [tipo_nota] => 4 [estado_salud] => 1 ) */
 		//return view('Estadisticas.mostrarNotaUrg')->with('nota_urgencias', $urgencias);
 		return view('Estadisticas.mostrarNotaUrg');
		 
	}





}

